<template>
  <div class="container relative mx-auto pb-30px lg:pb-100px">
    <div class="w-10/12 h-full mx-auto" v-if="!is_detail">
      <div @click="openDetail(mock_data[0])">
        <BlogWrapper
          :data="mock_data[0]"
          direction="row"
          class="mb-8"
          :highlight="true"
        />
      </div>
      <div
        id="wrapper"
        class="grid grid-cols-1 gap-5 md:grid-cols-2 lg:grid-cols-3"
      >
        <div
          v-for="(blog, index) in mock_data"
          :key="index"
          @click="openDetail(blog)"
        >
          <BlogWrapper
            :data="mock_data[index]"
            direction="column"
            :highlight="false"
          />
        </div>
      </div>
    </div>
    <DetailWrapper :selected="selected" v-if="is_detail">
      {{ selected.desciption }}
    </DetailWrapper>
  </div>
</template>

<script>
import { mock_blog } from "../mock_data/mock_blog"
export default {
  data() {
    return {
      mock_data: mock_blog,
      is_detail: false,
      selected: "",
    }
  },
  mounted() {},
  methods: {
    openDetail(blog) {
      this.is_detail = !this.is_detail
      this.selected = blog
    },
  },
}
</script>

<style></style>
